Partner API
Get customer info
Path Parameters
customerId*string
Customer UUID
Format
uuidHeader Parameters
SW-PARTNER-ID*string
Partner organization identifier
SW-API-KEY*string
API authentication key
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/integrations/customer/497f6eca-6276-4993-bfeb-53cbbbba6f08/info" \ -H "SW-PARTNER-ID: string" \ -H "SW-API-KEY: string"{
"success": true,
"companyName": "Acme Corporation",
"contactEmail": "contact@acme.co",
"price": 49.99,
"planType": "safeweb-plus",
"localeCode": "nl-NL",
"status": "active",
"scanned_status": true
}{
"success": false,
"error": "Failed to verify org API key"
}{
"success": false,
"error": "Failed to verify org API key"
}Update customer monitored assets PATCH
Replaces the monitored domains and/or email addresses for the given customer. Only the fields provided in the request body are updated — omitting a field leaves that set unchanged. The customer must belong to the authenticated partner.
Update customer info PATCH
Update a customer's non-monitoring details such as contact name, email address, billing configuration, and plan. The customer must belong to the authenticated partner.